Method: analytics.agentPerformances.list

列出通話者可存取的服務專員績效資料。

每個結果都代表特定國家/地區中特定代理商的成效指標。如果代理商在特定國家/地區的資料不足,系統就不會傳回該代理商與國家/地區配對的成效記錄。

HTTP 要求

GET https://businesscommunications.googleapis.com/v1/analytics/agentPerformances

這個網址使用 gRPC 轉碼語法。

查詢參數

參數
pageSize

integer

(選用步驟) 指定伺服器傳回的結果數量上限。伺服器可能會進一步限制單一頁面中傳回的結果數量上限。如果 pageSize 為 0,伺服器會決定要傳回的結果數量。pageSize 上限為 1000。

pageToken

string

(選用步驟) 先前的 List 要求傳回的 nextPageToken 值 (如有)。

要求主體

要求主體必須為空白。

回應主體

傳回代理程式績效清單。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "agentPerformances": [
    {
      object (AgentPerformance)
    }
  ],
  "nextPageToken": string
}
欄位
agentPerformances[]

object (AgentPerformance)

代理程式成效清單。

nextPageToken

string

(選用步驟) 用來擷取下一頁結果的分頁符記。如果值為 "",表示該要求沒有其他結果。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/businesscommunications

詳情請參閱OAuth 2.0 Overview

AgentPerformance

代理在某個國家/地區的成效指標。

JSON 表示法
{
  "name": string,
  "displayName": string,
  "countryCode": string,
  "agentUseCase": enum (AgentUseCase),
  "reputation": enum (Reputation),
  "trafficLimit": integer,
  "metricsPeriodEndTime": string,
  "spamTrendDays7": enum (TrendDirection),
  "spamTrendDays28": enum (TrendDirection),
  "agentUnsubscribeReasonMetricsDays7": {
    object (AgentUnsubscribeReasonMetrics)
  },
  "agentUnsubscribeReasonMetricsDays28": {
    object (AgentUnsubscribeReasonMetrics)
  }
}
欄位
name

string

代理程式的專屬 ID。

由平台定義。

displayName

string

必填。服務專員向使用者顯示的名稱。長度上限為 40 個半形字元。

代理商驗證後即無法修改。

countryCode

string

指定成效指標的國家/地區維度。以 ISO 3166 Alpha-2 國家/地區代碼表示。例如「US」代表美國。

agentUseCase

enum (AgentUseCase)

服務專員的用途

reputation

enum (Reputation)

代理程式在指定國家/地區的信譽。

trafficLimit

integer

指定國家/地區的代理流量限制 (每位使用者每月可傳送的訊息數)。如果代理程式不受流量限制,系統就不會設定值。

metricsPeriodEndTime

string (Timestamp format)

代表計算指標時間範圍結尾的時間戳記。系統會根據這個時間戳記之前的資料計算指標,包括信譽。這個時間戳記是最近的太平洋時間 (PT) 午夜。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

spamTrendDays7

enum (TrendDirection)

7 天期間的垃圾內容趨勢。

spamTrendDays28

enum (TrendDirection)

28 天內的垃圾內容趨勢。

agentUnsubscribeReasonMetricsDays7

object (AgentUnsubscribeReasonMetrics)

7 天期間的代理程式取消訂閱原因指標。

agentUnsubscribeReasonMetricsDays28

object (AgentUnsubscribeReasonMetrics)

過去 28 天的代理程式取消訂閱原因指標。

信譽

代理商在指定國家/地區的信譽。

列舉
REPUTATION_UNSPECIFIED 未指定信譽。
LOW 信譽不佳。
MEDIUM 信譽中等。這是預設信譽。
HIGH 信譽良好。

TrendDirection

顯示指標在特定時間範圍內的變化。

列舉
TREND_DIRECTION_UNSPECIFIED 未指定趨勢方向。
DOWN 趨勢下降。
NEUTRAL 趨勢沒有改變。
UP 趨勢向上。

AgentUnsubscribeReasonMetrics

特定期間的客服人員取消訂閱原因指標。

JSON 表示法
{
  "notSignedUpPercentage": integer,
  "tooManyMessagesPercentage": integer,
  "noLongerInterestedPercentage": integer,
  "spamPercentage": integer,
  "otherPercentage": integer
}
欄位
notSignedUpPercentage

integer

選擇「未註冊」做為取消訂閱原因的使用者所佔百分比。

tooManyMessagesPercentage

integer

選擇「收到太多訊息」做為取消訂閱原因的使用者百分比。

noLongerInterestedPercentage

integer

選擇「不再感興趣」做為取消訂閱原因的使用者百分比。

spamPercentage

integer

選擇「垃圾內容」做為取消訂閱原因的使用者百分比。

otherPercentage

integer

選擇「其他」做為取消訂閱原因的使用者百分比。